Summary:	Modular Calendar Access Library
Name:		libmcal
Version:	0.7
Release:	4.PU_IAS.1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/libmcal/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.sourceforge.net/pub/sourceforge/libmcal/mcaldrivers-0.9.tar.gz
Patch0:		%{name}-echo.patch
Patch1:		%{name}-make.patch
URL:		http://mcal.chek.com/
BuildRequires:	flex
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/mcal

%description
libmcal is a C library for accessing calendars. It's written to be
very modular, with plugable drivers. The default behaviour for the
included 'mstore' driver is to check passwords using /etc/mpasswd 
and to store calendars i /var/calendar.

%package devel
Summary:	MCAL header files
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for MCAL-based programs development.

%prep
%setup -q -n %{name} -a1
mv -f mcal-drivers/* .
#%patch0 -p1
#%patch1 -p1

%build
chmod +x configure
make -C icap OPTFLAGS="$RPM_OPT_FLAGS"
make -C mstore OPTFLAGS="$RPM_OPT_FLAGS"

%configure \
	--with-icap \
	--with-mstore

make OPTFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%makeinstall DESTDIR=$RPM_BUILD_ROOT

mv -f mstore/Changelog Changelog.mstore
mv -f mstore/README README.mstore

install -d -m 1777 $RPM_BUILD_ROOT/var/calendar

install -d $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/mpasswd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG FAQ-MCAL FEATURE-IMPLEMENTATION HOW-TO-MCAL *.mstore
%attr(755,root,root) %{_libdir}/lib*.so*
%attr(1777,root,root) /var/calendar
%config(noreplace) %{_sysconfdir}/mpasswd

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.a
#%attr(755,root,root) %{_libdir}/lib*.a
%{_includedir}

%changelog
* Wed Jul 16 2003 Eric Rostetter <rostetter@mail.utexas.edu>
- Updated for new RedHat 8/9 naming scheme

* Sun Jun 23 2002 Troels Arvin <troels@arvin.dk> 0.6-3
- Added /var/calendar with mode 1777, as suggested in the mcal HOWTO.
- Added empty /etc/mpasswd.

* Wed Jun 19 2002 Troels Arvin <troels@arvin.dk> 0.6-2
- Adapted from PLD. Added release-tags, etc. Builds on RH 6/7.
- Fused the -static package into -devel.
